import { RevertableEvent } from "@skeldjs/events";
import { RepairSystemMessage } from "@skeldjs/protocol";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
import { ReactorSystem } from "../../systems";
import { ProtocolEvent } from "../ProtocolEvent";
import { RoomEvent } from "../RoomEvent";
import { ReactorEvent } from "./ReactorEvent";
/**
 * Emitted when the reactor consoles are reset, i.e. when reactor is fully
 * repaired.
 */
export declare class ReactorConsolesResetEvent<RoomType extends Hostable = Hostable> extends RevertableEvent implements RoomEvent, ReactorEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly reactor: ReactorSystem<RoomType>;
    readonly message: RepairSystemMessage | undefined;
    /**
     * The player that reset the consoles (repaired reactor). Only available
     * if the client is the host.
     */
    readonly player: PlayerData<RoomType> | undefined;
    static eventName: "reactor.consoles.reset";
    eventName: "reactor.consoles.reset";
    constructor(room: RoomType, reactor: ReactorSystem<RoomType>, message: RepairSystemMessage | undefined, 
    /**
     * The player that reset the consoles (repaired reactor). Only available
     * if the client is the host.
     */
    player: PlayerData<RoomType> | undefined);
}
